NAME

Dist::Zilla::Plugin::Prereqs::EnsureVersion - Make sure that prereqs have minimum versions

VERSION

This document describes version 0.050 of Dist::Zilla::Plugin::Prereqs::EnsureVersion (from Perl distribution Dist-Zilla-Plugin-Prereqs-EnsureVersion), released on 2018-06-07.

SYNOPSIS

In ~/pmversions.ini:

 Log::ger=0.019
 File::Write::Rotate=0.28

In dist.ini:

 [Prereqs::EnsureVersion]

DESCRIPTION

This plugin will check versions specified in prereqs. First you create ~/pmversions.ini containing list of modules and their mininum versions. Then, the plugin will check all prereqs against this list. If minimum version is not met (e.g. the prereq says 0 or a smaller version) then the build will be aborted.

Currently, prereqs with custom (/^x_/) phase or relationship are ignored.

Ideas for future version: ability to blacklist certain versions, specify version ranges, e.g.:

 Module::Name = 1.00-2.00, != 1.93

ENVIRONMENT

PMVERSIONS_PATH

String. Set location of pmversions.ini instead of the default ~/pmversions.ini. Example: /etc/minver.conf. Note that this is actually observed by in PMVersions::Util.

HOMEPAGE

Please visit the project's homepage at https://metacpan.org/release/Dist-Zilla-Plugin-Prereqs-EnsureVersion.

SOURCE

Source repository is at https://github.com/perlancar/perl-Dist-Zilla-Plugin-Prereqs-EnsureVersion.

BUGS

Please report any bugs or feature requests on the bugtracker website https://rt.cpan.org/Public/Dist/Display.html?Name=Dist-Zilla-Plugin-Prereqs-EnsureVersion

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

SEE ALSO

Dist::Zilla::Plugin::MinimumPrereqs

There are some plugins on CPAN related to specifying/detecting Perl's minimum version, e.g.: Dist::Zilla::Plugin::MinimumPerl, Dist::Zilla::Plugin::Test::MinimumVersion.

AUTHOR

perlancar <perlancar@cpan.org>

COPYRIGHT AND LICENSE

This software is copyright (c) 2018, 2017, 2016 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.